# CKEditor 5 Bootstrap Accordion

Insert and edit a [Bootstrap 5 accordion](https://getbootstrap.com/docs/5.3/components/accordion/)
in CKEditor 5. For more information visit the
[Drupal.org project page](https://www.drupal.org/project/ckeditor5_bootstrap_accordion).

## Features

- Add an accordion and insert or delete accordion items conveniently from the
CKEditor toolbars.
- Accordions work right out of the box, no extra CSS or JavaScript is needed on
your site if it already uses Bootstrap 5's provided CSS and JavaScript.
- `aria-controls` and `aria-expanded` attributes are added to all accordions
for accessibility and supported by Bootstrap.
- Customize accordion styling by overriding Bootstrap 5's CSS variables.

## Post-Installation

After installation, enable the plugin by dragging the "Accordion" item onto the
toolbar of your text format (`/admin/config/content/formats`) and checking the
box next to the "Accordion enabler" filter.

## Additional Requirements

Your site should be using the Bootstrap 5 frontend library in its main theme.
The library isn't required in the admin theme or for editing the accordion.

This plugin was developed exclusively for modern Drupal 10+ sites and requires
CKEditor 5, meaning it's entirely incompatible with CKEditor 4 or other
editors. It's also incompatible with older versions of Bootstrap as it uses the
new accordion component added to Bootstrap 5.
