import type { ClipboardPipeline } from '@ckeditor/ckeditor5-clipboard';
import type { BootstrapAccordionConfig, ItemsStayOpen, ItemsStayOpenAttributeDefinition } from './bootstrapaccordionconfig';
import type BootstrapAccordionEvents from './bootstrapaccordionevents';
import type BootstrapAccordionFirstItemOpenCommand from './commands/bootstrapaccordionfirstitemopencommand';
import type InsertBootstrapAccordionCommand from './commands/insertbootstrapaccordioncommand';
import type InsertBootstrapAccordionItemCommand from './commands/insertbootstrapaccordionitemcommand';
import type ModifyBootstrapAccordionCommand from './commands/modifybootstrapaccordioncommand';
import type RemoveBootstrapAccordionItemCommand from './commands/removebootstrapaccordionitemcommand';

declare module '@ckeditor/ckeditor5-core' {
  interface EditorConfig {
    bootstrapAccordion: BootstrapAccordionConfig;
  }
  interface CommandsMap {
    bootstrapAccordionFirstItemOpen: BootstrapAccordionFirstItemOpenCommand;
    bootstrapAccordionItemsStayOpen: ModifyBootstrapAccordionCommand<ItemsStayOpen, ItemsStayOpenAttributeDefinition>;
    insertBootstrapAccordion: InsertBootstrapAccordionCommand;
    insertBootstrapAccordionItem: InsertBootstrapAccordionItemCommand;
    removeBootstrapAccordionItem: RemoveBootstrapAccordionItemCommand;
  }
  interface PluginsMap {
    [BootstrapAccordionEvents.pluginName]: BootstrapAccordionEvents;
    [ClipboardPipeline.pluginName]: ClipboardPipeline;
  }
}
